Davix::Context Class Reference

Main handle for Davix. More...

`#include <davixcontext.hpp>`

## Public Member Functions

| Context ()
| Default constructor.
| Context (const Context &c)
| copy constructor
Context & | operator= (const Context &c)
| assignment operator
virtual | ~Context ()
| destructor
Context * | clone ()
| clone this instance to a new context
void | loadModule (const std::string &name)
| load a plugin or a profile identified by name
void | setSessionCaching (bool caching)
| enable or disable the session caching
bool | getSessionCaching () const
| get session caching status
void | clearCache ()
| clear both redirect and session cache
HttpRequest * | createRequest (const Uri &uri, DavixError **err)
HttpRequest * | createRequest (const std::string &url, DavixError **err)
DavPosix * | createDavPosix ()

## Friends

class | DavPosix
struct | ContextExplorer

## Detailed Description

Main handle for Davix.

Each new davix context contains its own session-reuse pool and set of parameters a Context can execute multiple queries in parallels and is thread safe

## Constructor & Destructor Documentation

## Context()

Davix::Context::Context | ( | const Context & | c | ) |

copy constructor

Parameters

  c |

References Context().

## Member Function Documentation

## createDavPosix()

DavPosix * Davix::Context::createDavPosix | ( |  | ) |

Deprecated

## createRequest() [1/2]

HttpRequest * Davix::Context::createRequest | ( | const std::string & | url,
|  | DavixError ** | err )

Deprecated

## createRequest() [2/2]

HttpRequest * Davix::Context::createRequest | ( | const Uri & | uri,
|  | DavixError ** | err )

Deprecated

## loadModule()

void Davix::Context::loadModule | ( | const std::string & | name | ) |

load a plugin or a profile identified by name

Parameters

  name | : name of the plugin or profile to load

Example: loadModule("grid") configure davix for a grid environment usage

## operator=()

Context & Davix::Context::operator= | ( | const Context & | c | ) |

assignment operator

Parameters

  c |

Returns

References Context().

The documentation for this class was generated from the following file:

- /build/davix-EuTrY8/davix-0.8.10/include/davix/davixcontext.hpp